summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2014-11-05 18:31:20 +0300
committerAndrei Karas <akaras@inbox.ru>2016-06-28 15:54:18 +0300
commit862ef6063a9fde3622374c6d608b88cde593558f (patch)
tree7587312a0968f86cf537bc94f8890b0b85e1153d
parent2b160e0a0e613fccc06239941fe99ae9288807d2 (diff)
downloadhercules-862ef6063a9fde3622374c6d608b88cde593558f.tar.gz
hercules-862ef6063a9fde3622374c6d608b88cde593558f.tar.bz2
hercules-862ef6063a9fde3622374c6d608b88cde593558f.tar.xz
hercules-862ef6063a9fde3622374c6d608b88cde593558f.zip
Add build script.
-rwxr-xr-xbuild.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 000000000..8b5346a44
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+CMD="$1"
+
+if [[ -z "${CMD}" ]]; then
+ export CMD="default"
+fi
+
+if [ -x "/usr/bin/mariadb_config" ]; then
+ export SQL=" --with-mysql=/usr/bin/mariadb_config"
+elif [ -x "/usr/bin/mysql_config" ]; then
+ export SQL=" --with-mysql=/usr/bin/mysql_config"
+else
+ export SQL=""
+fi
+
+export COMMON="--enable-packetver=20150000 --enable-debug=gdb${SQL}"
+
+export CORES=$(cat /proc/cpuinfo|grep processor|wc -l)
+
+autoreconf
+if [[ "${CMD}" == "default" || "${CMD}" == "all" ]]; then
+ export CC=gcc
+ ./configure --enable-manager=no --enable-sanitize=full ${COMMON}
+ make -j${CORES}
+ make install
+ cd src/evol
+ ./build.sh
+elif [[ "${CMD}" == "old" ]]; then
+ ./configure --disable-lto ${COMMON}
+ make -j${CORES}
+ make install
+ cd src/evol
+ ./build.sh old
+elif [[ "${CMD}" == "valgrind" ]]; then
+ ./configure --enable-manager=no ${COMMON}
+ make -j${CORES}
+ make install
+ cd src/evol
+ ./build.sh old
+elif [[ "${CMD}" == "gprof" ]]; then
+ ./configure --enable-manager=no --enable-profiler=gprof ${COMMON}
+ make -j${CORES}
+ make install
+ cd src/evol
+ ./build.sh gprof
+elif [[ "${CMD}" == "server" ]]; then
+ ./configure --enable-sanitize ${COMMON}
+ make -j${CORES}
+ make install
+elif [[ "${CMD}" == "static" ]]; then
+ ./configure LIBS="-lmysqlclient -lssl -lcrypto -pthread -lm -lz" --disable-64bit --enable-static ${COMMON}
+ make -j${CORES}
+elif [[ "${CMD}" == "static64" ]]; then
+ ./configure --enable-static ${COMMON}
+ make -j${CORES}
+fi
+exit $?